export class Strudelapp {
  url: string; // A url used to retrieve extra config options. May be null
  name: string; // Human readable name
  startscript: string; // batch script ... should NOT include resource directives
                       // resource directives like #SBATCH belong in the batchinterface
  paramscmd: string;  // command to return extra data such as passwords and tokens
                      // values returned here can be used in the client strings
  client: {cmd: string[], redir: string};
  localbind: boolean; // does the application bind to a port on the localhost
                      // interface or on all interfaces. This behaviour determins
                      /// how we create tunnels
  applist: Strudelapp[] = null;
}

export class StrudelappInstance {
  port: number;
  password: string;
}
